# $Revision: 1.7 $, $Date: 2002/05/02 11:38:29 $
Summary:	Elysium GNU/Linux Utilities Library
Summary(pl):	Biblioteka narzdziowa Elysium GNU/Linux
Name:		libelysium
Version:	0.3.5
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://elysium.zoned.net/libelysium/%{name}-%{version}.tar.gz
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	glib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	encompass-uri

%description
Utility library for applications in the Elysium GNU/Linux
distribution.

%description -l pl
Biblioteka narzdziowa dla aplikacji w dystrybucji Elysium GNU/Linux.

%package devel
Summary:	Elysium GNU/Linux Utilities Library Development Files
Summary(pl):	Pliki dla programistw uywajcych biblioteki narzdziowej Elysium GNU/Linux
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel
Obsoletes:	encompass-uri-devel

%description devel
Includes files used for developing Elysium GNU/Linux applications.

%description devel -l pl
Pliki nagwkowe do tworzenia aplikacji Elysium GNU/Linux.

%package static
Summary:	Elysium GNU/Linux Utilities static library
Summary(pl):	Statyczna biblioteka narzdziowa Elysium GNU/Linux
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	encompass-uri-devel

%description static
Elysium GNU/Linux Utilities static library.

%description static -l pl
Statyczna biblioteka narzdziowa Elysium GNU/Linux.

%prep
%setup -q

%build
rm -f missing
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/gnome-1.0/libelysium
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libelysium.spec,v $
Revision 1.7  2002/05/02 11:38:29  kloczek
- updated to 0.3.5,
- remo all patches (not neccessary now),
- updated %files lists,
- added glib-devel to BuildRequires and to Requires in devel subpackage.

Revision 1.6  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/11 12:11:00  qboosh
- pl translations

Revision 1.2  2001/12/11 11:12:23  kloczek
- completly rewrited in PLD style.

Based on spec by Rodney Dawes <dobey@free.fr>
